Menu

## CharacterStatGroup
in package

CharacterStatGroup.php : 13

Class CharacterStatGroup.

### Table of Contents

$id : mixed
$name : mixed
$sorted : mixed
$stats : mixed
$weight : mixed
__construct() : mixed
  CharacterStatGroup constructor.
addCharacterStat() : mixed
getCharacterStat() : CharacterStatInterface
getId() : string
getName() : string
getWeight() : int
hasCharacterStat() : bool
iterate() : array<string|int, CharacterStatInterface>|Generator

### Properties

#### $id

CharacterStatGroup.php : 15
`private mixed $id`

#### $name

CharacterStatGroup.php : 16
`private mixed $name`

#### $sorted

CharacterStatGroup.php : 19
`private mixed $sorted = true`

#### $stats

CharacterStatGroup.php : 17
`private mixed $stats = []`

#### $weight

CharacterStatGroup.php : 18
`private mixed $weight`

### Methods

#### __construct()

CharacterStatGroup.php : 26

CharacterStatGroup constructor.

`public __construct(string $id, string $name, int $weight) : mixed`

##### Parameters

$id : string
$name : string
$weight : int

##### Return values

mixed —

#### addCharacterStat()

CharacterStatGroup.php : 61
`public addCharacterStat(CharacterStatInterface $characterStat) : mixed`

##### Parameters

$characterStat : CharacterStatInterface

##### Tags

throws
  CharacterStatExistsException

##### Return values

mixed —

#### getCharacterStat()

CharacterStatGroup.php : 76
`public getCharacterStat(string $id) : CharacterStatInterface`

##### Parameters

$id : string

##### Tags

throws
  CharacterStatNotFoundException

##### Return values

CharacterStatInterface —

#### getId()

CharacterStatGroup.php : 36
`public getId() : string`

##### Return values

string —

#### getName()

CharacterStatGroup.php : 44
`public getName() : string`

##### Return values

string —

#### getWeight()

CharacterStatGroup.php : 52
`public getWeight() : int`

##### Return values

int —

#### hasCharacterStat()

CharacterStatGroup.php : 89
`public hasCharacterStat(string $id) : bool`

##### Parameters

$id : string

##### Return values

bool —

#### iterate()

CharacterStatGroup.php : 101
`public iterate() : array<string|int, CharacterStatInterface>|Generator`

##### Return values

array<string|int, CharacterStatInterface>|Generator —

## Search results